Support » Fixing WordPress » Automatic Upgrade to 3.5.2 Demands FTP

  • I have a 3.5.1 installation on my Windows Server 2008 r2, which performed using WPI 4.5.

    I tried to perform the automatic upgrade to 3.5.2 today, but the automatic update demands FTP credentials to my site.

    I do not have and do not want to have an FTP server on that Windows Server.

    Why am I being required to provide an FTP server?

Viewing 8 replies - 1 through 8 (of 8 total)
  • esmi

    (@esmi)

    Forum Moderator

    Because that is how WordPress updates your installation. Try upgrading manually instead.

    Well, I gave in and installed the Windows FTP server. But even if I specify the admin’s credentials for FTP access, the installtion fails (failed copying files).

    Has ANYONE managed to perform an automatic upgrade in Windows?

    I am beginning to get the feeling that WordPress’s Windows support is an afterthought…

    esmi

    (@esmi)

    Forum Moderator

    Yes – I upgrade automatically all of the time on my local EasyPHP server.

    Hi Esmi,

    OK – I should have been more specific – has anypne succeeded in doing an automatic upgrade when WordPress was installed in Windows IIS using WPI 4.5.

    I have other programs on my server which require IIS, andother web servers can’t be run simulatneously.

    esmi

    (@esmi)

    Forum Moderator

    has anypne succeeded in doing an automatic upgrade when WordPress was installed in Windows IIS using WPI 4.5.

    No idea. We don’t keep those kinds of statistics to hand.

    OK – thanks anyway.

    The problem is that I just took a look at the manual upgrade instructions you linked to, and it seems like even Albert EInstein wouldn’t be able to undersatdn them. But then again, I might just be as stupid as my ex-wife claims…

    esmi – Just wanted to update you that from Googling it became clear that WP on Windows/IIS cannot be autoupdated – period. I did the manual update – tedious, but-do-able.

    esmi

    (@esmi)

    Forum Moderator

    Really? I was so sure that many IIS users were able to auto-update. Thanks for the heads up. I guess this is another reason to avoid IIS.

Viewing 8 replies - 1 through 8 (of 8 total)
  • The topic ‘Automatic Upgrade to 3.5.2 Demands FTP’ is closed to new replies.